curl --request GET \
--url https://api.treasuryprime.com/account_number_reservation \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/account_number_reservation"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/account_number_reservation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_number": "<string>",
"account_product_id": "<string>",
"id": "<string>"
}
]
}List Account Number Reservations
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size account-number-reservation elements, starting after the account-number-reservation described by page_cursor. If no more account-number-reservations are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?